PHP kézikönyv
Előző |  | Következő

# key

(PHP 3, PHP 4 , PHP 5)

key -- asszociatív tömb pillanatnyilag kiválasztott kulcsát adja vissza

## Leírás

mixed key ( array &array )

A key() a belső tömbmutató által pillanatnyilag kijelölt elem kulcsával tér vissza.

Példa 1. key() példa

`<?php $array = array( 'gyumolcs1' => 'alma', 'gyumolcs2' => 'narancs', 'gyumolcs3' => 'szőlő', 'gyumolcs4' => 'alma', 'gyumolcs5' => 'alma'); // ez a ciklus kiírja azon tömbelemek kulcsát, // ahol annak értéke 'alma' while ($fruit_name = current($array)) { if ($fruit_name == 'alma') { echo key($array) . '<br />'; } next($array); } ?>`

Lásd még: current() és next()!

Előző | Tartalom | Következő
in_array | Fel | krsort